package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LancamentoComprasFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.LancamentoSolicitacaoComprasPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.Assert;
import org.testng.annotations.Test;


public class LancamentoSolComprasTests extends TestBase {
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    LancamentoComprasFlows lancamentoComprasFlows;
    LancamentoSolicitacaoComprasPage lancamentoSolicitacaoComprasPage;

    @Test
    public void efetuarLancamentoDeComprasComSucesso(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        lancamentoComprasFlows = new LancamentoComprasFlows();
        lancamentoSolicitacaoComprasPage = new LancamentoSolicitacaoComprasPage();

        //Parameteres
        String usuario = "sandro.silva@teknisa.com";
        String senha = "Teknisa@2024";
        String unidade = "BRASIL";
        String custo = "Custo Médio Líquido Atual";
        String unidadeSolicitante = "DEPOSITO BC 129";
        String adicionarData = "01/05/2022";
        String quantidadeProd = "1";
        //String status = "Todos";
        //String unidade = "HELA INGREDIENTES BRASIL";
        //String remetente = "Todos";
        //String destinatario = "Alibra Ingredientes Ltda";
        //String serie = "SERIE 1";
        //String operacao = "NF Cobrança";
        //String modeloDocumentoFiscal = "Nota Fiscal Eletrônica";
        //String serieFormulario = "Série 142";
        //String dataSaida = "16/08/2021";
        //String nomeProduto = "Hela Poultry Broth Paste Clear KG";
        //String quantidadeProduto = "1";
        //String statusEsperado = "Pendente";

        loginFlows.efetuarLogin(usuario,senha);
        mainFlows.navegarParaLancamentoSolicitacaoDeCompras();
        lancamentoComprasFlows.aplicarFiltro(unidade,custo,unidadeSolicitante,adicionarData,quantidadeProd);

        /*
        lancamentoSaidaPage.clicarAdicionarLancamento();

        //criando lancamento
        lancamentoSolicitacaoComprasPage.preencherFiltroUnidadeSolicitante(unidade);
        lancamentoSaidaPage.preencherOperacao(custo);
        lancamentoSaidaPage.preencherDocumentoFiscal(modeloDocumentoFiscal);
        lancamentoSaidaPage.clicarPesquisaDestinatario();
        lancamentoSaidaPage.preencherDestinatario(destinatario);
        lancamentoSaidaPage.clicarEscolherDestinatario();
        lancamentoSaidaPage.clicarPesquisaSerie();
        lancamentoSaidaPage.preencherSerie(serieFormulario);
        lancamentoSaidaPage.clicarEscolherSerie(serieFormulario);
        lancamentoSaidaPage.preencherDataSaida(dataSaida);
        lancamentoSaidaPage.salvarLancamento();

        //adicionando produto
        lancamentoSaidaPage.clicarMenuProdutos();
        lancamentoSaidaPage.clicarAdicionarProduto();
        lancamentoSaidaPage.clicarPesquisaProduto();
        lancamentoSaidaPage.preencherNomeProduto(nomeProduto);
        lancamentoSaidaPage.clicarEscolherProduto();
        lancamentoSaidaPage.clicarPesquisaLoteProduto();
        lancamentoSaidaPage.clicarEscolherLoteProduto();
        lancamentoSaidaPage.clicarConfirmarProduto();
        lancamentoSaidaPage.preencherQuantidadeProduto(quantidadeProduto);
        lancamentoSaidaPage.clicarSalvarProduto();

        //finalizar lancamento
        lancamentoSaidaPage.clicarFecharLancamento();
        lancamentoSaidaPage.clicarConfirmarFecharLancamento();

        String statusAtual = lancamentoSaidaPage.retornarStatusLancamento();

        Assert.assertEquals(statusAtual,statusEsperado);
        */

    }

}
